## reglookup 0.4.0

=== Makefile ===
# $Id: Makefile 88 2007-03-07 01:35:18Z tim $

# Installation prefixes.  Change to install elsewhere.

PREFIX=/usr/local
BIN_PREFIX=$(PREFIX)/bin
DOC_PREFIX=$(PREFIX)/share/doc/reglookup
MAN_PREFIX=$(PREFIX)/man

################################################################################

CC=gcc
OPTS=-std=gnu89 -pedantic -Wall
INC=-I/usr/local/include
LIB=-L/usr/local/lib

UNAME := $(shell uname)
ifneq ($(UNAME),Linux) 	
  LIB:=$(LIB) -liconv
endif

BUILD=$(CURDIR)/build
BUILD_BIN=$(BUILD)/bin
BUILD_DOC=$(BUILD)/doc

BUILD_TREE=$(BUILD_BIN) $(BUILD_DOC)
SUB_DIRS=lib src doc bin

FILES=$(REGLOOKUP)
.PHONY: $(SUB_DIRS) clean
export


all: $(BUILD_TREE) $(SUB_DIRS)

#XXX: This should be more generalized.
install: all
	mkdir -p $(BIN_PREFIX)
	mkdir -p $(DOC_PREFIX)
	mkdir -p $(MAN_PREFIX)/man1
	$(MAKE) -C bin install
	$(MAKE) -C src install
	$(MAKE) -C doc install


$(SUB_DIRS):
	$(MAKE) -C $@

$(BUILD_TREE):
	mkdir -p $@

clean:
	$(MAKE) -C src clean
	$(MAKE) -C lib clean
	rm -rf $(BUILD)/*

=== doc/Makefile ===
# $Id: Makefile 64 2006-07-23 16:02:53Z tim $

BUILD_FILES=$(BUILD_DOC)/man/man1/reglookup.1.gz $(BUILD_DOC)/man/man1/reglookup-timeline.1.gz

default: $(BUILD_FILES)

$(BUILD_DOC)/man/man1/reglookup.1.gz: man/man1/reglookup.1.gz
	mkdir -p $(BUILD_DOC)/man/man1
	cp man/man1/reglookup.1.gz $@

$(BUILD_DOC)/man/man1/reglookup-timeline.1.gz: man/man1/reglookup-timeline.1.gz
	mkdir -p $(BUILD_DOC)/man/man1
	cp man/man1/reglookup-timeline.1.gz $@

install:
	cp -r $(BUILD_DOC)/* $(DOC_PREFIX)
	ln -sf $(DOC_PREFIX)/man/man1/*  $(MAN_PREFIX)/man1


#XXX: Used during release only
release:
	docbook2x-man --to-stdout reglookup.1.docbook > man/man1/reglookup.1
	docbook2x-man --to-stdout reglookup-timeline.1.docbook > man/man1/reglookup-timeline.1
	cd man/man1 && gzip -9 -f reglookup.1
	cd man/man1 && gzip -9 -f reglookup-timeline.1

=== lib/Makefile ===
# $Id: Makefile 30 2005-07-16 14:31:27Z tim $

################################################################################

FILES=regfi.o smb_deps.o void_stack.o

all: $(FILES)

regfi.o: regfi.c
	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ regfi.c

smb_deps.o: smb_deps.c
	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ smb_deps.c

void_stack.o: void_stack.c
	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ void_stack.c

clean:
	rm -f $(FILES)

=== src/Makefile ===
# $Id: Makefile 90 2007-03-28 19:22:38Z tim $

################################################################################

REGLOOKUP=$(BUILD_BIN)/reglookup
OBJ=$(wildcard ../lib/*.o)
FILES=$(REGLOOKUP)

all: $(FILES)

$(REGLOOKUP): reglookup.o $(OBJ)
	$(CC) $(CFLAGS) $(OPTS) $(LIB) -o $@ reglookup.o $(OBJ)

reglookup.o: reglookup.c
	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ reglookup.c

install:
	install -m 0755 $(FILES) $(BIN_PREFIX)

clean:
	rm -f *.o

## reglookup 0.9.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 88 2007-03-07 01:35:18Z tim $
+# $Id: Makefile 111 2008-05-01 04:06:22Z tim $
 
 # Installation prefixes.  Change to install elsewhere.
 
@@ -10,9 +10,9 @@
 ################################################################################
 
 CC=gcc
-OPTS=-std=gnu89 -pedantic -Wall
+OPTS=-std=gnu89 -pedantic -Wall -ggdb
 INC=-I/usr/local/include
-LIB=-L/usr/local/lib
+LIB=-L/usr/local/lib -lm
 
 UNAME := $(shell uname)
 ifneq ($(UNAME),Linux)

=== doc/Makefile ===
# $Id: Makefile 119 2008-08-09 05:55:45Z tim $

BUILD_FILES=$(BUILD_DOC)/man/man1/reglookup.1.gz\
	$(BUILD_DOC)/man/man1/reglookup-timeline.1.gz\
	$(BUILD_DOC)/man/man1/reglookup-recover.1.gz

default: $(BUILD_FILES)

$(BUILD_DOC)/man/man1:
	mkdir -p $(BUILD_DOC)/man/man1

$(BUILD_DOC)/man/man1/reglookup.1.gz: man/man1/reglookup.1.gz $(BUILD_DOC)/man/man1
	cp man/man1/reglookup.1.gz $@

$(BUILD_DOC)/man/man1/reglookup-timeline.1.gz: man/man1/reglookup-timeline.1.gz $(BUILD_DOC)/man/man1
	cp man/man1/reglookup-timeline.1.gz $@

$(BUILD_DOC)/man/man1/reglookup-recover.1.gz: man/man1/reglookup-recover.1.gz $(BUILD_DOC)/man/man1
	cp man/man1/reglookup-recover.1.gz $@

install:
	cp -r $(BUILD_DOC)/* $(DOC_PREFIX)
	ln -sf $(DOC_PREFIX)/man/man1/*  $(MAN_PREFIX)/man1


#XXX: Used during release only
release:
	docbook2x-man --to-stdout reglookup.1.docbook > man/man1/reglookup.1
	docbook2x-man --to-stdout reglookup-timeline.1.docbook > man/man1/reglookup-timeline.1
	docbook2x-man --to-stdout reglookup-recover.1.docbook > man/man1/reglookup-recover.1
	cd man/man1 && gzip -9 -f reglookup.1
	cd man/man1 && gzip -9 -f reglookup-timeline.1
	cd man/man1 && gzip -9 -f reglookup-recover.1

=== lib/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 ################################################################################
 
-FILES=regfi.o smb_deps.o void_stack.o
+FILES=regfi.o smb_deps.o void_stack.o range_list.o lru_cache.o
 
 all: $(FILES)
 
@@ -15,5 +15,11 @@
 void_stack.o: void_stack.c
 	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ void_stack.c
 
+range_list.o: range_list.c
+	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ range_list.c
+
+lru_cache.o: lru_cache.c
+	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ lru_cache.c
+
 clean:
 	rm -f $(FILES)

=== src/Makefile ===
# $Id: Makefile 110 2008-04-29 22:59:55Z tim $

################################################################################

REGLOOKUP=$(BUILD_BIN)/reglookup
REGLOOKUP_RECOVER=$(BUILD_BIN)/reglookup-recover
OBJ=$(wildcard ../lib/*.o)
FILES=$(REGLOOKUP) $(REGLOOKUP_RECOVER)

all: $(FILES)

$(REGLOOKUP): reglookup.o $(OBJ)
	$(CC) $(CFLAGS) $(OPTS) $(LIB) -o $@ reglookup.o $(OBJ)

$(REGLOOKUP_RECOVER): reglookup-recover.o $(OBJ)
	$(CC) $(CFLAGS) $(OPTS) $(LIB) -o $@ reglookup-recover.o $(OBJ)

reglookup.o: reglookup.c
	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ reglookup.c

reglookup-recover.o: reglookup-recover.c
	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ reglookup-recover.c

install:
	install -m 0755 $(FILES) $(BIN_PREFIX)

clean:
	rm -f *.o

## reglookup 0.11.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 111 2008-05-01 04:06:22Z tim $
+# $Id: Makefile 147 2009-02-22 19:31:52Z tim $
 
 # Installation prefixes.  Change to install elsewhere.
 
@@ -11,13 +11,34 @@
 
 CC=gcc
 OPTS=-std=gnu89 -pedantic -Wall -ggdb
-INC=-I/usr/local/include
+#OPTS=-std=gnu89 -pedantic -Wall
+INC:=-I$(PWD)/include -I/usr/local/include 
 LIB=-L/usr/local/lib -lm
+BIN_EXT=
+EXTRA_OBJ=
 
 UNAME := $(shell uname)
 ifneq ($(UNAME),Linux) 	
   LIB:=$(LIB) -liconv
 endif
+
+
+################################################################################
+# MinGW cross-compiling build settings
+ifdef BUILD_MINGW
+
+## These may need to be changed
+CC=i586-mingw32msvc-cc
+LIBICONV_PATH=/usr/local/src/libiconv-1.9.2-1-lib
+
+## These probably do not need to be changed
+BIN_EXT=.exe
+INC:=$(INC) -I$(LIBICONV_PATH)/include
+EXTRA_OBJ=$(LIBICONV_PATH)/lib/libiconv.dll.a
+
+endif
+################################################################################
+
 
 BUILD=$(CURDIR)/build
 BUILD_BIN=$(BUILD)/bin

=== lib/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 ################################################################################
 
-FILES=regfi.o smb_deps.o void_stack.o range_list.o lru_cache.o
+FILES=regfi.o smb_deps.o winsec.o void_stack.o range_list.o lru_cache.o talloc.o
 
 all: $(FILES)
 
@@ -11,6 +11,9 @@
 
 smb_deps.o: smb_deps.c
 	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ smb_deps.c
+
+winsec.o: winsec.c
+	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ winsec.c
 
 void_stack.o: void_stack.c
 	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ void_stack.c
@@ -21,5 +24,8 @@
 lru_cache.o: lru_cache.c
 	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ lru_cache.c
 
+talloc.o: talloc.c
+	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ talloc.c
+
 clean:
 	rm -f $(FILES)

## reglookup 0.12.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 147 2009-02-22 19:31:52Z tim $
+# $Id: Makefile 159 2009-12-06 20:09:01Z tim $
 
 # Installation prefixes.  Change to install elsewhere.
 
@@ -10,8 +10,8 @@
 ################################################################################
 
 CC=gcc
-OPTS=-std=gnu89 -pedantic -Wall -ggdb
-#OPTS=-std=gnu89 -pedantic -Wall
+OPTS=-std=gnu99 -pedantic -Wall -ggdb
+#OPTS=-std=gnu99 -pedantic -Wall
 INC:=-I$(PWD)/include -I/usr/local/include 
 LIB=-L/usr/local/lib -lm
 BIN_EXT=

=== bin/Makefile ===
# $Id: Makefile 90 2007-03-28 19:22:38Z tim $

################################################################################

TIMELINE=$(BUILD_BIN)/reglookup-timeline
FILES=$(TIMELINE)

all: $(FILES)

$(TIMELINE):
	cp reglookup-timeline $@

install:
	install -m 0755 $(FILES) $(BIN_PREFIX)

clean:
	rm -f *~

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile 119 2008-08-09 05:55:45Z tim $
+# $Id: Makefile 155 2009-06-03 23:45:58Z tim $
 
 BUILD_FILES=$(BUILD_DOC)/man/man1/reglookup.1.gz\
 	$(BUILD_DOC)/man/man1/reglookup-timeline.1.gz\
@@ -25,9 +25,11 @@
 
 #XXX: Used during release only
 release:
-	docbook2x-man --to-stdout reglookup.1.docbook > man/man1/reglookup.1
-	docbook2x-man --to-stdout reglookup-timeline.1.docbook > man/man1/reglookup-timeline.1
-	docbook2x-man --to-stdout reglookup-recover.1.docbook > man/man1/reglookup-recover.1
+	#XXX: The sed filter is a temporary hack to work around a bug in docbook2x-man
+	#     See: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=516165
+	docbook2x-man --to-stdout reglookup.1.docbook | sed 's/.SH DESCRIPTION/\n.SH DESCRIPTION/' > man/man1/reglookup.1
+	docbook2x-man --to-stdout reglookup-timeline.1.docbook | sed 's/.SH DESCRIPTION/\n.SH DESCRIPTION/' > man/man1/reglookup-timeline.1
+	docbook2x-man --to-stdout reglookup-recover.1.docbook | sed 's/.SH DESCRIPTION/\n.SH DESCRIPTION/' > man/man1/reglookup-recover.1
 	cd man/man1 && gzip -9 -f reglookup.1
 	cd man/man1 && gzip -9 -f reglookup-timeline.1
 	cd man/man1 && gzip -9 -f reglookup-recover.1

=== src/Makefile ===
# $Id: Makefile 143 2009-02-13 03:24:27Z tim $

################################################################################

REGLOOKUP=$(BUILD_BIN)/reglookup$(BIN_EXT)
REGLOOKUP_RECOVER=$(BUILD_BIN)/reglookup-recover$(BIN_EXT)
OBJ=$(wildcard ../lib/*.o)
FILES=$(REGLOOKUP) $(REGLOOKUP_RECOVER)

all: $(FILES)

$(REGLOOKUP): reglookup.o $(OBJ)
	$(CC) $(CFLAGS) $(OPTS) $(LIB) -o $@ reglookup.o $(OBJ) $(EXTRA_OBJ)

$(REGLOOKUP_RECOVER): reglookup-recover.o $(OBJ)
	$(CC) $(CFLAGS) $(OPTS) $(LIB) -o $@ reglookup-recover.o $(OBJ) $(EXTRA_OBJ)

reglookup.o: reglookup.c
	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ reglookup.c

reglookup-recover.o: reglookup-recover.c
	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ reglookup-recover.c

install:
	install -m 0755 $(FILES) $(BIN_PREFIX)

clean:
	rm -f *.o

=== debian/changelog ===
reglookup (0.12.0-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * debian/control: added the word 'forensics' in long description.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all information.
  * debian/patches/fix-FTBFS-with-ld: added to fix a FTBFS with ld --as-needed.
      Thanks to Matthias Klose <doko@ubuntu.com>. (Closes: #641558)
  * debian/source.lintian-overrides: removed. Using 'Team upload'.
  * debian/rules: added DEB_BUILD_MAINT_OPTIONS to improve the GCC hardening.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 23 Jun 2015 14:55:50 -0300

reglookup (0.12.0-2) experimental; urgency=medium

  * Team upload.
  * Bumped Standards-Version to 3.9.6.
  * Migrated the packaging to DebSrc3.0 format.
  * Updated DH level to 9 to allow GCC hardening.
  * debian/patches/: added the fix-string-error, that fix an
      elementary error that causes a FTBFS with DH9.
  * debian/rules: added the flags to make command to provide
      GCC hardening.
  * debian/watch:
      - Added new tracking rules.
      - Removed the old (not working) rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 17 Nov 2014 15:39:30 -0200

reglookup (0.12.0-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Minimizing rules file.

  [ Christophe Monniez ]
  * Merging upstream version 0.12.0.
  * Fixing license problem, bumping to GPL-3 (Closes: #574638).

  [ Michael Prokop ]
  * Bump Standards-Version to 3.8.4 (no further changes).

 -- Michael Prokop <mika@debian.org>  Tue, 30 Mar 2010 12:43:10 +0200

reglookup (0.11.0-2) unstable; urgency=low

  [ Daniel Baumann ]
  * Using $CURDIR instead of $PWD in rules file.

  [ Christophe Monniez ]
  * Fixing the rule that prevented the package to build.

 -- Daniel Baumann <daniel@debian.org>  Wed, 15 Jul 2009 01:09:03 +0200

reglookup (0.11.0-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Merging upstream version 0.11.0 (Closes: #531784):
    - Workarounds docbook2x bugs (Closes: #524983).
  * Refactoring build rule to better fit the upstream Makefile.

  [ Daniel Baumann ]
  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:24:36 +0200

reglookup (0.9.0-2) unstable; urgency=low

  * Updating year in copyright file.
  * Updating to standards 3.8.1.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 22:16:36 +0200

reglookup (0.9.0-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Merging upstream version 0.9.0.
  * Fixing the math library issue in rules.

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Adding myself to copyright file.
  * Replacing obsolete dh_clean -k with dh_prep.

 -- Daniel Baumann <daniel@debian.org>  Tue, 23 Dec 2008 09:59:00 +0100

reglookup (0.4.0-1) unstable; urgency=low

  [ David Paleino ]
  * Initial release (Closes: #403244).
  * Changing copyright on packaging.
  * Fixed copyright information.

  [ Christophe Monniez ]
  * New maintainer.

  [ Daniel Baumann ]
  * Cleaning up rules file.
  * Adding full license headers to copyright file.
  * Sorting vcs fields in control file.
  * Upgrading package to debhelper 7.
  * Updating to standards 3.8.0.
  * Moving -Wall to CFLAGS for consistency.
  * Not using copyright symbols.
  * Fixing my incomplete commit from transforming the quilt patch to rules.
  * Reordering rules.
  * Removing unneeded debhelper calls from rules.
  * Overwriting variables in make call of rules rather than patching upstream
    makefile.
  * Rewriting copyright in machine readable form.
  * Don't use abbreviations for Windows version in package description.
  * Don't use (R) symbols in package description.
  * Correcting url to gitweb in control.
  * Setting maintainer address to Debian Forensics.
  * Bumping package to debhelper 6.

 -- Daniel Baumann <daniel@debian.org>  Mon, 16 Jun 2008 12:20:00 +0200

=== debian/control ===
Source: reglookup
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Christophe Monniez <christophe.monniez@fccu.be>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: http://projects.sentinelchicken.org/reglookup/
Vcs-Browser: http://git.debian.net/?p=debian-forensics/reglookup.git
Vcs-Git: git://git.debian.net/git/debian-forensics/reglookup.git

Package: reglookup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utility to read and query Windows NT/2000/XP registry
 RegLookup is an small command line utility for reading and querying Microsoft
 Windows NT/2000/XP registries.
 .
 Currently the program allows one to read an entire registry and output it in a
 (mostly) standardized, quoted format. It also provides features for filtering
 of results based on registry path and data type.
 .
 RegLookup is useful in forensics investigations.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- OPTS="$(CFLAGS) $(LDFLAGS) $(CPPFLAGS) -std=gnu89 -pedantic -Wall -ggdb" INC="-I../include" LIB="-L/usr/lib -lm"

override_dh_auto_install:
	dh_auto_install -- PREFIX=$(CURDIR)/debian/reglookup/usr MAN_PREFIX=\$${PREFIX}/share/man

	rm -rf debian/reglookup/usr/share/man
	mv debian/reglookup/usr/share/doc/reglookup/man debian/reglookup/usr/share/man

=== debian/watch ===
version=3
http://projects.sentinelchicken.org/reglookup/download/ .*/(?:downloads|files)/reglookup(?:-src)?-(\d\S+)\.tar\.(?:bz2|gz|xz)
https://code.google.com/p/reglookup/downloads/list  .*name=reglookup(?:-src)?-(\d\S+)\.tar\.(?:bz2|gz|xz).*

## reglookup 1.0.1%2Bsvn287

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyregfi
LIB_R_VERSION=1.0.1

LIBDIR=$(CURDIR)/debian/libregfi1

export DOCPATH=$(CURDIR)/debian/reglookup-doc/usr/share/doc/reglookup-doc
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_BUILD_HARDENING=1

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_build:
	scons bin doc doc-devel
	dh_auto_build

override_dh_auto_install:
	PREFIX=/usr DESTDIR=debian/reglookup MANDIR=/usr/share/man LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) scons install
	dh_auto_install

override_dh_install-arch:
	dh_install
	cp $(CURDIR)/lib/libregfi.so \
           $(LIBDIR)/usr/lib/libregfi.so.$(LIB_R_VERSION)

override_dh_install-indep:
	dh_install
	# Remove unnecessary hashes
	find $(DOCPATH) -name '*.md5' -exec rm -f {} \;
	# Using jdupes to convert duplicate files in softlinks
	jdupes -rl $(DOCPATH)
	# Avoid an embedded javascript library
	rm $(DOCPATH)/pyregfi/jquery.js

override_dh_auto_test:

## reglookup 1.0.1%2Bsvn296

=== debian/changelog ===
reglookup (1.0.1+svn296-2) unstable; urgency=medium

  * Team upload.
  * d/p/fix-install.patch: Update patch to enable for successful hppa builds
    (Closes: #1114771). Thanks to John David Anglin for providing the fix.
  * d/watch: Convert it to version 5 format and switch to a working repository.
  * d/u/metadata: Update URLs to refer to a working repository.
  * d/control:
    - Drop 'Rules-Requires-Root: no', it's the standard now.
    - Bump Standards-Version to 4.7.2.
  * d/copyright:
    - Drop out-dated Upstream-Contact and Source fields.
    - Update packaging years.

 -- Sven Geuer <sge@debian.org>  Tue, 07 Oct 2025 17:05:52 +0200

reglookup (1.0.1+svn296-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Rework it to query the svn repo. The tarball's URL became
    unavailable.
  * New upstream version 1.0.1+svn296
  * d/p/*:
    - Update patches to match the new upstream version.
      - Drop fix-spelling.patch and fix-ftbfs-with-gcc-14.patch, fixed upstream.
      - Refresh fix-install.patch and fix-version.patch
    - Add 'Forwarded: not-needed' to fix-install.patch and fix-version.patch,
      upstream is inactive.
  * d/control:
    - Add python3-setuptools to Build-Depends (Closes: #1080790).
    - Let the Homepage field point to the latest URL version at
      web.archive.org.
  * d/rules + d/p/fix-install.patch: Make sure CPPFLAGS and CFLAGS get honored
    during build and install.

 -- Sven Geuer <sge@debian.org>  Mon, 30 Sep 2024 22:53:06 +0200

reglookup (1.0.1+svn287-10) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Apply multi-arch hints. + reglookup-doc: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster (oldstable)

  [ Sven Geuer ]
  * d/p/*: Add patch fixing FTBFS with GCC-14 (Closes: #1075442).
  * d/libregfi1t64.symbols: Add Build-Depends-Package meta-information field.
  * d/libregfi1t64.lintian-overrides: Remove unused override.
  * d/control:
    - Bump Standards-Version to 4.7.0.
    - Apply "wrap-and-sort -at".
  * d/u/metadata: Rework metadata to comply with DEP-12.
  * d/copyright: Update debian/* stanza.

 -- Sven Geuer <sge@debian.org>  Tue, 20 Aug 2024 23:17:09 +0200

reglookup (1.0.1+svn287-9.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062852

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 22:53:09 +0000

reglookup (1.0.1+svn287-9) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

  [ Giovani Augusto Ferreira ]
  * Update salsa-ci.yml to allow reprotest to fail temporarily
  * Bumped DH level to 13.
  * Bumped Standards-Version to 4.5.1
  * d/copyright: updated license text and years.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian

 -- Giovani Augusto Ferreira <giovani@debian.org>  Tue, 02 Feb 2021 15:38:21 -0300

reglookup (1.0.1+svn287-8) unstable; urgency=medium

  [ Giovani Augusto Ferreira ]
  * Drop python2 support. Thanks to Sandro Tosi. (Closes: #938347)
  * Bumped DH level to 12.
  * debian/copyright: updated packaging copyright years
  * debian/control:
      - Added the field Rules-Requires-Root: no.
      - Bumped Standards version to 4.4.1.

  [ Samuel Henrique ]
  * Add salsa-ci.yml

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sun, 27 Oct 2019 19:48:11 -0300

reglookup (1.0.1+svn287-7) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org

  [ Giovani Augusto Ferreira ]
  * Bumped DH level to 11
  * Bumped Standards-Version to 4.2.1
  * Updated my email address
  * debian/control: updated the short description for libregfi-dev
  * debian/copyright: updated URI and packaging copyright years
  * Added upstream metadata file

 -- Giovani Augusto Ferreira <giovani@debian.org>  Thu, 06 Sep 2018 15:50:58 -0300

reglookup (1.0.1+svn287-6) unstable; urgency=medium

  * debian/rules: replaced rdfind+symlinks to jdupes. Thanks to Eriberto Mota
                  for patch. (Closes: #846839)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Fri, 16 Dec 2016 18:43:19 -0200

reglookup (1.0.1+svn287-5) unstable; urgency=medium

  * debian/control:
      - Removed firefox-esr from Depends in reglookup-doc. (Closes: #843219)

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Sat, 05 Nov 2016 23:02:20 -0200

reglookup (1.0.1+svn287-4) unstable; urgency=medium

  * Upload to unstable.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Thu, 13 Oct 2016 23:54:06 -0300

reglookup (1.0.1+svn287-3) experimental; urgency=medium

  * debian/rules: adjusted the building sequence in dh_install_indep.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Mon, 10 Oct 2016 20:49:57 -0300

reglookup (1.0.1+svn287-2) experimental; urgency=medium

  * debian/rules: variables changed to build reglookup-doc package.

 -- Giovani Augusto Ferreira <giovani@riseup.net>  Mon, 10 Oct 2016 15:33:01 -0300

reglookup (1.0.1+svn287-1) experimental; urgency=medium

  * New upstream release. (Closes: #644019)
  * New co-maintainer.
  * Update DH level to 10.
  * debian/clean: create to clean before build.
  * debian/control:
      - Added dependencies required by new release to build and install.
      - Added entries for new binaries and libraries.
      - Bumped Standards Version to 3.9.8.
      - Improved all descriptions.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright:
      - Removed entries of unused files.
      - Updated licenses and copyright years.
  * debian/libregfi1*: files created to build the library package.
  * debian/patches:
      - fix-FTBFS-with-ld removed, the new release do not use the Makefile.
      - fix-install.patch added, patch to fix the install paths and add


## reglookup 1.0.1+svn287

=== SConstruct ===
#-*- mode: Python;-*-

import sys
import os
sys.dont_write_bytecode = True
from regfi_version import REGFI_VERSION
ABI_VERSION=REGFI_VERSION.rsplit('.',1)[0]

# Package Maintainers: should any of these options in the first line be omitted during
# package build, instead relying on CFLAGS/LDFLAGS to specify them when appropriate?
cflags = '-std=gnu99 -pedantic -Wall -D_FILE_OFFSET_BITS=64 -fvisibility=hidden'
cflags += ' -DREGFI_VERSION=\'"%s"\' ' % REGFI_VERSION
cflags += os.environ.get('CFLAGS','-fPIE -pie -fstack-protector -D_FORTIFY_SOURCE=2')

linkflags = "-fPIC " + os.environ.get('LDFLAGS',"-Wl,-z,relro,-z,now")

lib_src = ['lib/regfi.c',
           'lib/winsec.c',
           'lib/range_list.c',
           'lib/lru_cache.c',
           'lib/void_stack.c']

cc=os.environ.get('CC', 'gcc')
env = Environment(ENV=os.environ,
                  CC=cc,
                  CFLAGS=cflags,
                  LINKFLAGS=linkflags,
                  CPPPATH=['include', '/usr/local/include'],
                  LIBPATH=['lib', '/usr/local/lib'],
                  LIBS=['m', 'pthread', 'regfi', 'talloc'])


# Libraries
libregfi_static = env.Library(lib_src)
libregfi = env.SharedLibrary(lib_src, LIBS=['m','pthread', 'talloc'], 
                             SHLIBVERSION=ABI_VERSION)


# Executables
reglookup = env.Program(['src/reglookup.c'])
reglookup_recover = env.Program(['src/reglookup-recover.c'])


# Documentation
#  This only needs to be run during the release/packaging process
man_fixup = "|sed 's/.SH DESCRIPTION/\\n.SH DESCRIPTION/'"
man_builder = Builder(action='docbook2x-man --to-stdout $SOURCE'
                      + man_fixup + '| gzip -9 > $TARGET',
                      suffix = '.gz',
                      src_suffix = '.docbook')
env['BUILDERS']['ManPage'] = man_builder

man_reglookup = env.ManPage('doc/reglookup.1.docbook')
man_reglookup_recover = env.ManPage('doc/reglookup-recover.1.docbook')
man_reglookup_timeline = env.ManPage('doc/reglookup-timeline.1.docbook')

# Installation
prefix     = os.environ.get('PREFIX','/usr/local')+'/'
destdir    = os.environ.get('DESTDIR','')
bindir     = os.environ.get('BINDIR', prefix + 'bin')
libdir     = os.environ.get('LIBDIR', prefix + 'lib')
includedir = os.environ.get('INCLUDEDIR', prefix + 'include')
mandir     = os.environ.get('MANDIR', prefix + 'man')

install_bin = [destdir + bindir, destdir + mandir]
install_lib = [destdir + libdir, destdir + includedir + '/regfi']

env.Install(destdir+bindir, [reglookup, reglookup_recover, 'bin/reglookup-timeline'])
libinstall = env.InstallVersionedLib(destdir+libdir, [libregfi, libregfi_static], SHLIBVERSION=ABI_VERSION)
env.Install(destdir+includedir+'/regfi', Glob('include/*.h'))
env.Install(destdir+mandir+'/man1', [man_reglookup, man_reglookup_recover,
                                     man_reglookup_timeline])

if os.getuid() == 0 and destdir == '':
   env.AddPostAction(libinstall, 'ldconfig')

install_pyregfi = []
if sys.version_info[0] == 2:
   install_pyregfi.append('pyregfi2-install.log')
   env.Command('pyregfi2-install.log', ['python/pyregfi/__init__.py', 
                                        'python/pyregfi/structures.py', 
                                        'python/pyregfi/winsec.py'],
               "python setup.py install --root=/%s | tee pyregfi2-install.log" % destdir)

python_path = os.popen('which python3').read()
if python_path != '':
   install_pyregfi.append('pyregfi3-install.log')
   env.Command('pyregfi3-install.log', ['python/pyregfi/__init__.py', 
                                        'python/pyregfi/structures.py', 
                                        'python/pyregfi/winsec.py'], 
               "python3 setup.py install --root=/%s | tee pyregfi3-install.log" % destdir)


# API documentation
regfi_doc = env.Command('doc/devel/regfi/index.html', 
                        Glob('lib/*.c')+Glob('include/*.h')+['doc/devel/Doxyfile.regfi'],
                        'doxygen doc/devel/Doxyfile.regfi')
pyregfi_doc = env.Command('doc/devel/pyregfi/index.html', 
                          Glob('python/pyregfi/*.py')+['doc/devel/Doxyfile.pyregfi', regfi_doc],
                          'doxygen doc/devel/Doxyfile.pyregfi')

install_items = install_bin + install_lib + install_pyregfi

# User Friendly Targets
env.Alias('libregfi', libregfi)
env.Alias('reglookup', reglookup)
env.Alias('reglookup-recover', reglookup_recover)
env.Alias('bin', [reglookup_recover, reglookup])
env.Alias('doc', [man_reglookup,man_reglookup_recover,man_reglookup_timeline])
env.Alias('doc-devel', [regfi_doc, pyregfi_doc])
env.Alias('install_bin', install_bin)
env.Alias('install_lib', install_lib)
env.Alias('install_pyregfi', install_pyregfi)
env.Alias('install', install_items)

Default('bin', libregfi)

=== lib/Makefile ===
--- 
+++ 
@@ -2,15 +2,12 @@
 
 ################################################################################
 
-FILES=regfi.o smb_deps.o winsec.o void_stack.o range_list.o lru_cache.o talloc.o
+FILES=regfi.o winsec.o void_stack.o range_list.o lru_cache.o talloc.o
 
 all: $(FILES)
 
 regfi.o: regfi.c
 	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ regfi.c
-
-smb_deps.o: smb_deps.c
-	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ smb_deps.c
 
 winsec.o: winsec.c
 	$(CC) $(CFLAGS) $(OPTS) $(INC) -c -o $@ winsec.c

=== debian/control ===
Source: reglookup
Section: utils
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
Build-Depends: debhelper (>= 10),
               dh-python,
               docbook2x,
               doxygen,
               graphviz,
               jdupes,
               libtalloc-dev,
               libtalloc2,
               python-all,
               python3-all,
               scons (>= 2.3),
Standards-Version: 3.9.8
Homepage: http://projects.sentinelchicken.org/reglookup/
Vcs-Browser: https://anonscm.debian.org/git/forensics/reglookup.git
Vcs-Git: https://anonscm.debian.org/git/forensics/reglookup.git

Package: libregfi1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility to analysis for Windows NT-based registry (shared library)
 RegLookup is a system to direct analysis of Windows NT-based registry
 files providing command line tools, a C API, and a Python module for
 accessing registry data structures. The project has a focus on providing
 tools for digital forensics investigations (though is useful for many
 purposes), and includes algorithms for retrieving deleted data structures
 from registry hives.
 .
 Currently the program allows one to read an entire registry and output it
 in a (mostly) standardized, quoted format. It also provides features for
 filtering of results based on registry path and data type.
 .
 This package provides the runtime library.

Package: libregfi-dev
Architecture: any
Section: libdevel
Depends: libregfi1 (= ${binary:Version}), ${misc:Depends}
Description: utility to analysis for Windows NT-based registry (develop. files)
 RegLookup is a system to direct analysis of Windows NT-based registry
 files providing command line tools, a C API, and a Python module for
 accessing registry data structures. The project has a focus on providing
 tools for digital forensics investigations (though is useful for many
 purposes), and includes algorithms for retrieving deleted data structures
 from registry hives.
 .
 Currently the program allows one to read an entire registry and output it
 in a (mostly) standardized, quoted format. It also provides features for
 filtering of results based on registry path and data type.
 .
 This package provides the development files.

Package: reglookup
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utility to analysis for Windows NT-based registry
 RegLookup is a system to direct analysis of Windows NT-based registry
 files providing command line tools, a C API, and a Python module for
 accessing registry data structures. The project has a focus on providing
 tools for digital forensics investigations (though is useful for many
 purposes), and includes algorithms for retrieving deleted data structures
 from registry hives.
 .
 Currently the program allows one to read an entire registry and output it
 in a (mostly) standardized, quoted format. It also provides features for
 filtering of results based on registry path and data type. The package
 provides the following commands: reglookup, reglookup-recover and
 reglookup-timeline.

Package: python-pyregfi
Architecture: all
Section: python
Depends: libregfi1 (>= ${binary:Version}), ${misc:Depends}, ${python:Depends}
Recommends: reglookup-doc
Description: Python Bindings for reglookup
 This package contains Python bindings to libregfi. There are the low-level
 data structures for winsec library and C API mappings for  accessing
 registry data structures.

Package: python3-pyregfi
Architecture: all
Section: python
Depends: libregfi1 (>= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
Recommends: reglookup-doc
Description: Python 3 Bindings for reglookup
 This package contains Python 3 bindings to libregfi. There are the low-level
 data structures for winsec library and C API mappings for  accessing
 registry data structures.

Package: reglookup-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Suggests: libregfi-dev, python-pyregfi
Description: developer documentation for libregfi and python-pyregfi
 RegLookup is a system to direct analysis of Windows NT-based registry
 files providing command line tools, a C API, and a Python module for
 accessing registry data structures. The project has a focus on providing
 tools for digital forensics investigations (though is useful for many
 purposes), and includes algorithms for retrieving deleted data structures
 from registry hives.
 .
 Currently the program allows one to read an entire registry and output it
 in a (mostly) standardized, quoted format. It also provides features for
 filtering of results based on registry path and data type. The package
 provides the following commands: reglookup, reglookup-recover and
 reglookup-timeline.
 .
 This package contains the all developer documentation for libraries libregfi
 and python-pyregfi.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export DEB_BUILD_HARDENING=1
 
 %:
-	dh $@ --buildsystem=pybuild --with python3
+	dh $@ --buildsystem=pybuild --with python2,python3
 
 override_dh_auto_build:
 	scons bin doc doc-devel

## reglookup 1.0.1+svn296

=== SConstruct ===
--- 
+++ 
@@ -8,9 +8,9 @@
 
 # Package Maintainers: should any of these options in the first line be omitted during
 # package build, instead relying on CFLAGS/LDFLAGS to specify them when appropriate?
-cflags = '-std=gnu99 -pedantic -Wall -D_FILE_OFFSET_BITS=64 -fvisibility=hidden'
+cflags = '-std=gnu99 -pedantic -Wall -Werror=format-security -D_FILE_OFFSET_BITS=64 -fvisibility=hidden'
 cflags += ' -DREGFI_VERSION=\'"%s"\' ' % REGFI_VERSION
-cflags += os.environ.get('CFLAGS','-fPIE -pie -fstack-protector -D_FORTIFY_SOURCE=2')
+cflags += os.environ.get('CFLAGS','-fPIE -pie -fstack-protector-strong -D_FORTIFY_SOURCE=2 -O2')
 
 linkflags = "-fPIC " + os.environ.get('LDFLAGS',"-Wl,-z,relro,-z,now")
 
@@ -25,8 +25,8 @@
                   CC=cc,
                   CFLAGS=cflags,
                   LINKFLAGS=linkflags,
-                  CPPPATH=['include', '/usr/local/include'],
-                  LIBPATH=['lib', '/usr/local/lib'],
+                  CPPPATH=['include', '/usr/local/include', '/usr/include'],
+                  LIBPATH=['lib', '/usr/local/lib','/usr/lib'],
                   LIBS=['m', 'pthread', 'regfi', 'talloc'])

=== python/experimental/SConstruct ===
import os, os.path, pdb
from functools import partial
import utils
import config
import class_parser

def build_python_bindings(target, source, env, initialization=''):
    """ A command to generate python bindings """
    module_name = os.path.splitext(os.path.basename(target[0].name))[0]
    utils.warn("Generating automatic python bindings for module %s" % module_name)

    p = class_parser.HeaderParser(module_name, verbose=config.V)
    p.module.init_string = initialization
    p.parse_filenames([s.get_abspath() for s in source])

    fd = open(target[0].get_abspath(), 'w')
    p.write(fd)
    fd.close()



nenv = utils.ExtendedEnvironment()

BOUND_FILES = Split("""
    ../include/regfi.h
    regfi/pyregfi.h
    """)

nenv.config = config
if config.DEBUG:
    nenv.Append(CFLAGS = "-std=gnu99 -pedantic -Wall -fPIC -ggdb -O0")
    nenv.Append(CPPPATH=['../include', 'include'])
    nenv.python_cppflags = '-I/usr/include/python2.5_d'
else:
    nenv.Append(CFLAGS = "-std=gnu99 -pedantic -Wall -fPIC")
    nenv.Append(CPPPATH=['../include', 'include'])
    
nenv.Append(LIBPATH="../lib")
nenv.Append(LINKFLAGS="")
# XXX: why should I need to call regfi_init() when it should be called only once automatically? 
nenv.Command('regfi/pyregfi.c', BOUND_FILES, partial(build_python_bindings,
                                                     initialization='pyregfi_init();regfi_init();'))
nenv.Depends('regfi/pyregfi.c', 'class_parser.py')

nenv.PythonModule("pyregfi", ['regfi/pyregfi.c', 'regfi/regfi.c', 'regfi/class.c', 'regfi/error.c'],
                  LIBS=['regfi', 'talloc'])

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,34 @@
 Source: reglookup
 Section: utils
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
-Uploaders: Giovani Augusto Ferreira <giovani@riseup.net>
-Build-Depends: debhelper (>= 10),
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Uploaders: Giovani Augusto Ferreira <giovani@debian.org>,
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                docbook2x,
                doxygen,
+               dpkg-dev (>= 1.22.5),
                graphviz,
                jdupes,
                libtalloc-dev,
                libtalloc2,
-               python-all,
                python3-all,
-               scons (>= 2.3),
-Standards-Version: 3.9.8
-Homepage: http://projects.sentinelchicken.org/reglookup/
-Vcs-Browser: https://anonscm.debian.org/git/forensics/reglookup.git
-Vcs-Git: https://anonscm.debian.org/git/forensics/reglookup.git
+               python3-setuptools,
+               scons,
+Standards-Version: 4.7.0
+Rules-Requires-Root: no
+Homepage: https://web.archive.org/web/20240804024044/http://projects.sentinelchicken.org/reglookup/
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/reglookup
+Vcs-Git: https://salsa.debian.org/pkg-security-team/reglookup.git
 
-Package: libregfi1
+Package: libregfi1t64
+Provides: ${t64:Provides},
+Replaces: libregfi1,
+Breaks: libregfi1 (<< ${source:Version}),
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: utility to analysis for Windows NT-based registry (shared library)
  RegLookup is a system to direct analysis of Windows NT-based registry
  files providing command line tools, a C API, and a Python module for
@@ -40,8 +46,9 @@
 Package: libregfi-dev
 Architecture: any
 Section: libdevel
-Depends: libregfi1 (= ${binary:Version}), ${misc:Depends}
-Description: utility to analysis for Windows NT-based registry (develop. files)
+Depends: libregfi1t64 (= ${binary:Version}),
+         ${misc:Depends},
+Description: utility to analysis for Windows NT-based registry (devel files)
  RegLookup is a system to direct analysis of Windows NT-based registry
  files providing command line tools, a C API, and a Python module for
  accessing registry data structures. The project has a focus on providing
@@ -57,7 +64,8 @@
 
 Package: reglookup
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: utility to analysis for Windows NT-based registry
  RegLookup is a system to direct analysis of Windows NT-based registry
  files providing command line tools, a C API, and a Python module for
@@ -72,21 +80,13 @@
  provides the following commands: reglookup, reglookup-recover and
  reglookup-timeline.
 
-Package: python-pyregfi
-Architecture: all
-Section: python
-Depends: libregfi1 (>= ${binary:Version}), ${misc:Depends}, ${python:Depends}
-Recommends: reglookup-doc
-Description: Python Bindings for reglookup
- This package contains Python bindings to libregfi. There are the low-level
- data structures for winsec library and C API mappings for  accessing
- registry data structures.
-
 Package: python3-pyregfi
 Architecture: all
 Section: python
-Depends: libregfi1 (>= ${binary:Version}), ${misc:Depends}, ${python3:Depends}
-Recommends: reglookup-doc
+Depends: libregfi1t64 (>= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+Recommends: reglookup-doc,
 Description: Python 3 Bindings for reglookup
  This package contains Python 3 bindings to libregfi. There are the low-level
  data structures for winsec library and C API mappings for  accessing
@@ -95,8 +95,11 @@
 Package: reglookup-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery, ${misc:Depends}
-Suggests: libregfi-dev, python-pyregfi
+Depends: libjs-jquery,
+         ${misc:Depends},
+Suggests: libregfi-dev,
+          python-pyregfi,
+Multi-Arch: foreign
 Description: developer documentation for libregfi and python-pyregfi
  RegLookup is a system to direct analysis of Windows NT-based registry
  files providing command line tools, a C API, and a Python module for

=== debian/rules ===
--- 
+++ 
@@ -3,21 +3,21 @@
 export PYBUILD_NAME=pyregfi
 LIB_R_VERSION=1.0.1
 
-LIBDIR=$(CURDIR)/debian/libregfi1
+LIBDIR=$(CURDIR)/debian/libregfi1t64
 
 export DOCPATH=$(CURDIR)/debian/reglookup-doc/usr/share/doc/reglookup-doc
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_BUILD_HARDENING=1
 
 %:
-	dh $@ --buildsystem=pybuild --with python2,python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_build:
-	scons bin doc doc-devel
+	CFLAGS="$(CPPFLAGS) $(CFLAGS)" scons bin doc doc-devel
 	dh_auto_build
 
 override_dh_auto_install:
-	PREFIX=/usr DESTDIR=debian/reglookup MANDIR=/usr/share/man LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) scons install
+	CFLAGS="$(CPPFLAGS) $(CFLAGS)" PREFIX=/usr DESTDIR=debian/reglookup MANDIR=/usr/share/man LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH) scons install
 	dh_auto_install
 
 override_dh_install-arch:

=== debian/watch ===
version=4
opts=\
	mode=svn,\
	uversionmangle=s/0\.0~/1.0.1+/ \
https://code.blindspotsecurity.com/dav/reglookup/trunk \
HEAD
#opts=dversionmangle=s/\+svn287// \
#http://projects.sentinelchicken.org/reglookup/download/ .*/(?:downloads|files)/reglookup(?:-src)?-(\d\S+)\.tar\.(?:bz2|gz|xz)
